Bug 1597089 - [RFE] Subscriptions "Export CSV" functionality should include/offer org in filename
Summary: [RFE] Subscriptions "Export CSV" functionality should include/offer org in fi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Partha Aji
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-02 03:35 UTC by Corey Welton
Modified: 2019-10-07 17:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:33 UTC


Attachments (Terms of Use)
org1 (96.06 KB, image/png)
2018-11-28 12:33 UTC, vijsingh
no flags Details
org2 (123.61 KB, image/png)
2018-11-28 12:34 UTC, vijsingh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:41 UTC
Foreman Issue Tracker 24338 None None None 2018-07-20 21:58:33 UTC
Foreman Issue Tracker 24339 None None None 2018-07-20 22:03:21 UTC

Description Corey Welton 2018-07-02 03:35:54 UTC
Description of problem:
When a user downloads a CSV of an org's subscriptions, the filename is in the format of "subscriptions-YYYY-MM-DD.csv".

If user is downloading CSVs for multiple orgs, that can get confusing.

Version-Release number of selected component (if applicable):
Satellite 6.4.0 snap 10

How reproducible:


Steps to Reproduce:
1.  Create multiple orgs and upload manifests for each.
2.  Go to subscriptions page for org 1; click the "Export CSV" button.
3.  Repeat step #2 for as many orgs as you have created and uploaded manifests.



Actual results:
The filename is the same for each org (although your browser probably tweaks the filename since it thinks you are re-downloading something).

Expected results:

Default_Org-subscriptions-YYYY-MM-DD.csv
Org_1-subscriptions-YYYY-MM-DD.csv

....etc.

This could of course be an optional setting in Satellite. 

Additional info:

I'm not sure where else in the product this might be useful as well... anywhere CSV export functionality exists, I guess.

Comment 1 Walden Raines 2018-07-09 19:42:49 UTC
I doubt we'll have time to complete this RFE for 6.4, moving to backlog.

Comment 5 Partha Aji 2018-07-20 21:58:32 UTC
Connecting redmine issue https://projects.theforeman.org/issues/24338 from this bug

Comment 6 Partha Aji 2018-07-20 22:03:19 UTC
Connecting redmine issue https://projects.theforeman.org/issues/24339 from this bug

Comment 8 pm-sat@redhat.com 2018-08-30 00:09:08 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24339 has been resolved.

Comment 11 vijsingh 2018-11-28 12:32:24 UTC
Verified:

@Satellite 6.5.0 Snap 5.0

Steps:
+++++++++++++++++++++++++++++++++++++++++
- Manifest uploaded to two organizations 
- Able to download the same using "Export CSV".
- related screen shots are attached and production.log too.
- Downloaded file name: 

$ ls -tlr Downloads/*csv
-rw-rw-r-- 1 vijsingh vijsingh 2009 Nov 28 17:59 Downloads/Default_Organization-subscriptions-2018-11-28.csv
-rw-rw-r-- 1 vijsingh vijsingh 1066 Nov 28 18:00 Downloads/RedHat-subscriptions-2018-11-28.csv


+++++++++++++++++++++++++++++++++++++++++

Observation/result:
- Able to see the downloaded CSV file name in format of "Org-subscriptions-YYYY-MM-DD.csv"

Comment 12 vijsingh 2018-11-28 12:33:51 UTC
Created attachment 1509481 [details]
org1

Comment 13 vijsingh 2018-11-28 12:34:14 UTC
Created attachment 1509482 [details]
org2

Comment 17 errata-xmlrpc 2019-05-14 12:37:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.